repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v4.5.0
    hooks:
      - id: check-added-large-files
      - id: check-ast
      - id: check-byte-order-marker
      - id: check-builtin-literals
      - id: check-case-conflict
      - id: check-docstring-first
      - id: check-json
      - id: pretty-format-json
      - id: check-merge-conflict
      - id: check-symlinks
      - id: check-toml
      - id: check-vcs-permalinks
      - id: check-yaml
      - id: debug-statements
      - id: destroyed-symlinks
      - id: double-quote-string-fixer
      - id: end-of-file-fixer
      - id: fix-byte-order-marker
      - id: fix-encoding-pragma
      - id: mixed-line-ending
      - id: name-tests-test
      - id: requirements-txt-fixer
      - id: sort-simple-yaml
      - id: trailing-whitespace

  - repo: https://github.com/pre-commit/mirrors-mypy
    rev: v1.7.0
    hooks:
    -   id: mypy
        args: [
              --warn-unused-configs,
              --warn-redundant-casts,
              --warn-unused-ignores,
              --strict-equality,
              --extra-checks,
              --check-untyped-defs,
              --disallow-subclassing-any,
              --disallow-untyped-decorators,
              --disallow-any-generics,
              --disallow-untyped-calls,
              --disallow-incomplete-defs,
              --no-implicit-reexport,
              --warn-return-any,
              --ignore-missing-imports
              ]
        additional_dependencies: [types-PyYAML]
